NioEndpoint.PollerEvent (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.util.net, class: NioEndpoint, class: PollerEvent

# Class NioEndpoint.PollerEvent

java.lang.Object
org.apache.tomcat.util.net.NioEndpoint.PollerEvent

Enclosing class:
  `NioEndpoint`

public static class NioEndpoint.PollerEvent extends Object
PollerEvent, cacheable object for poller events to avoid GC

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PollerEvent(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`
  Creates a new poller event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getInterestOps()`
  Returns the interest operations.
  `NioEndpoint.NioSocketWrapper`
  `getSocketWrapper()`
  Returns the socket wrapper.
  `void`
  `reset()`
  Resets the poller event to default values.
  `void`
  `reset(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)`
  Resets the poller event with new values.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PollerEvent

    public PollerEvent(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)
    Creates a new poller event.
    Parameters:
      `socketWrapper` - The socket wrapper
      `intOps` - The interest operations

- ## Method Details

  - ### reset

    public void reset(NioEndpoint.NioSocketWrapper socketWrapper, int intOps)
    Resets the poller event with new values.
    Parameters:
      `socketWrapper` - The socket wrapper
      `intOps` - The interest operations

  - ### getSocketWrapper

    public NioEndpoint.NioSocketWrapper getSocketWrapper()
    Returns the socket wrapper.
    Returns:
      the socket wrapper

  - ### getInterestOps

    public int getInterestOps()
    Returns the interest operations.
    Returns:
      the interest operations

  - ### reset

    public void reset()
    Resets the poller event to default values.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`